GDB (xrefs)

Macros | Typedefs | Functions
linux-nat.h File Reference
`#include "target/waitstatus.h"`

Go to the source code of this file.

## Macros
#define | __SIGRTMIN 32
#define | SYSCALL_SIGTRAP (SIGTRAP | 0x80)

## Typedefs
typedef int() | iterate_over_lwps_ftype(struct lwp_info *lwp, void *arg)

## Functions
ptid_t | current_lwp_ptid (void)
struct lwp_info * | iterate_over_lwps (ptid_t filter, iterate_over_lwps_ftype callback, void *data)
ptid_t | ptid_of_lwp (struct lwp_info *lwp)
void | lwp_set_arch_private_info (struct lwp_info *lwp, struct arch_lwp_info *info)
struct arch_lwp_info * | lwp_arch_private_info (struct lwp_info *lwp)
int | lwp_is_stopped (struct lwp_info *lwp)
enum target_stop_reason | lwp_stop_reason (struct lwp_info *lwp)
void | linux_stop_lwp (struct lwp_info *lwp)
int | lwp_is_stepping (struct lwp_info *lwp)

## Macro Definition Documentation

## ◆ __SIGRTMIN

#define __SIGRTMIN 32

Definition at line 30 of file linux-nat.h.

Referenced by lin_thread_get_thread_signals().

## ◆ SYSCALL_SIGTRAP

#define SYSCALL_SIGTRAP (SIGTRAP | 0x80)

Definition at line 36 of file linux-nat.h.

Referenced by linux_nat_filter_event(), status_to_str(), and wait_lwp().

## Typedef Documentation

## ◆ iterate_over_lwps_ftype

typedef int() iterate_over_lwps_ftype(struct lwp_info *lwp, void *arg)

Definition at line 46 of file linux-nat.h.

## Function Documentation

## ◆ current_lwp_ptid()

ptid_t current_lwp_ptid | ( | void |  | ) |

Definition at line 4969 of file linux-nat.c.

References gdb_assert, inferior_ptid, and ptid_lwp_p().

Referenced by aarch64_notify_debug_reg_change(), aarch64_point_is_aligned(), s390_refresh_per_info(), x86_linux_dr_get_addr(), x86_linux_dr_get_control(), x86_linux_dr_get_status(), x86_linux_dr_set_addr(), and x86_linux_dr_set_control().

## ◆ iterate_over_lwps()

struct lwp_info* iterate_over_lwps | ( | ptid_t | filter,
|  | iterate_over_lwps_ftype | callback,
|  | void * | data
| ) |  |

Definition at line 990 of file linux-nat.c.

References lwp_list, lwp_info::next, lwp_info::ptid, and ptid_match().

Referenced by aarch64_notify_debug_reg_change(), arm_linux_insert_hw_breakpoint1(), arm_linux_remove_hw_breakpoint1(), linux_nat_detach(), linux_nat_filter_event(), linux_nat_kill(), linux_nat_resume(), linux_nat_stop(), linux_nat_wait(), linux_nat_wait_1(), linux_stop_and_wait_all_lwps(), linux_unstop_all_lwps(), s390_refresh_per_info(), select_event_lwp(), x86_linux_dr_set_addr(), and x86_linux_dr_set_control().

## ◆ linux_stop_lwp()

void linux_stop_lwp | ( | struct lwp_info * | lwp | ) |

Definition at line 2370 of file linux-nat.c.

References selftests::ptid::lwp, and stop_callback().

Referenced by debug_reg_change_callback(), s390_refresh_per_info_cb(), update_debug_registers_callback(), and update_registers_callback().

## ◆ lwp_arch_private_info()

struct arch_lwp_info* lwp_arch_private_info | ( | struct lwp_info * | lwp | ) |

Definition at line 340 of file linux-nat.c.

References selftests::ptid::lwp.

Referenced by aarch64_linux_prepare_to_resume(), debug_reg_change_callback(), lwp_debug_registers_changed(), lwp_set_debug_registers_changed(), s390_linux_new_fork(), s390_mark_per_info_changed(), and s390_prepare_to_resume().

## ◆ lwp_is_stepping()

int lwp_is_stepping | ( | struct lwp_info * | lwp | ) |

Definition at line 364 of file linux-nat.c.

References selftests::ptid::lwp.

Referenced by s390_prepare_to_resume().

## ◆ lwp_is_stopped()

int lwp_is_stopped | ( | struct lwp_info * | lwp | ) |

Definition at line 348 of file linux-nat.c.

References selftests::ptid::lwp.

Referenced by debug_reg_change_callback(), s390_refresh_per_info_cb(), update_debug_registers_callback(), and x86_linux_update_debug_registers().

## ◆ lwp_set_arch_private_info()

void lwp_set_arch_private_info | ( | struct lwp_info * | lwp,
|  | struct arch_lwp_info * | info
| ) |  |

Definition at line 331 of file linux-nat.c.

References selftests::ptid::lwp.

Referenced by aarch64_linux_new_thread(), debug_reg_change_callback(), lwp_set_debug_registers_changed(), and s390_mark_per_info_changed().

## ◆ lwp_stop_reason()

enum target_stop_reason lwp_stop_reason | ( | struct lwp_info * | lwp | ) |

Definition at line 356 of file linux-nat.c.

References selftests::ptid::lwp.

Referenced by x86_linux_update_debug_registers().

## ◆ ptid_of_lwp()

ptid_t ptid_of_lwp | ( | struct lwp_info * | lwp | ) |

Definition at line 323 of file linux-nat.c.

References selftests::ptid::lwp.

Referenced by aarch64_linux_prepare_to_resume(), debug_reg_change_callback(), s390_prepare_to_resume(), and x86_linux_update_debug_registers().